WordPressのフォーラムプラグイン「Asgaros Forum」にSQLインジェクション脆弱性。Webサイトへの影響と対策について (CVE-2022-0411)

こんにちは。「SiteCloud」プリセールスの高瀬です。

2022年2月にWordPressのプラグイン「Asgaros Forum」バージョン2.0.0未満にSQLインジェクションの脆弱性(CVE-2022-0411)が発表されました。

悪用されるとデータベースに不正アクセスされる可能性があり、アメリカ国立標準技術研究所の脆弱性データベースでは危険度がHighとなっています。

https://nvd.nist.gov/vuln/detail/CVE-2022-0411

該当プラグインを有効にしている場合、攻撃者が細工したリクエストを送ることでデータベースに任意のクエリを実行してしまう可能性があります。

対象プラグインとバージョン

「Asgaros Forum」は広告表示機能を含んだWordPress向けのフォーラムプラグインです。

https://ja.wordpress.org/plugins/asgaros-forum/

今回の脆弱性の影響を受けるバージョンは下記の通りです。

・Asgaros Forum 2.0.0未満

脆弱性の対策

対策としては、プラグインをアップデートする形になります。WordPressのプラグイン画面から該当プラグインのアップデート有無を確認することをお勧めします。

Webサイトへの影響について

「Asgaros Forum」で実装されたフォーラムのログインユーザーから悪意のあるリクエストを送信することでデータベースで不正なクエリを実行できてしまう可能性があります。

不特定多数のユーザーがフォーラムに登録、ログインできるサイトの場合は注意が必要です。

さいごに

WordPressのプラグインを利用することで様々なサイトを構築できますが、それぞれのプラグインに関するセキュリティ対策も必要になります。

弊社では日々WordPressおよびプラグインのセキュリティ情報をチェックしており、お客様のサーバーで利用しているプラグインについては検証、本番それぞれの環境でアップデートを代行可能です。

リリース後のWordPressサイトのセキュリティ情報のチェックが追いつかない場合はぜひご相談くださいませ。

コーポレートサイトをクラウドでセキュアに

SiteCloudガイドブック

「SiteCloud」の詳しい内容が分かる資料をご用意しました。
  • コーポレートサイト構築・運用の課題を解決
  • SiteCloudの主な機能
  • 導入事例
  • 導入までの流れ

関連する解決策

最新記事

タグ

詳しい資料をご覧いただけます

SiteCloudのサービス内容を記載した資料をダウンロードできます。
SiteCloudの機能や事例が分かる
無料資料ダウンロード
             

【無料診断実施中】サーバーセキュリティ診断

経験豊富なセキュリティ専門技術者が、サーバーの状況を診断して、分かりやすい診断結果と今後の対応策をご覧いただけます。

無料サーバー診断申し込み
close